org.hibernate.search.batchindexing.impl

## Class BatchCoordinator

- java.lang.Object
- - org.hibernate.search.batchindexing.impl.BatchCoordinator

- All Implemented Interfaces:
    Runnable

      public class BatchCoordinator
      extends Object

  Makes sure that several different BatchIndexingWorkspace(s) can be started concurrently, sharing the same batch-backend and IndexWriters.
  Author:
    Sanne Grinovero

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ExtendedSearchIntegrator` | `extendedIntegrator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BatchCoordinator(IndexedTypeSet rootEntities, ExtendedSearchIntegrator extendedIntegrator, SessionFactoryImplementor sessionFactory, int typesToIndexInParallel, int documentBuilderThreads, CacheMode cacheMode, int objectLoadingBatchSize, long objectsLimit, boolean optimizeAtEnd, boolean purgeAtStart, boolean optimizeAfterPurge, MassIndexerProgressMonitor monitor, int idFetchSize, Integer transactionTimeout, String tenantId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `cleanUpOnError()`
    `void` | `run()`
    `void` | `runWithErrorHandler()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### extendedIntegrator

          protected final ExtendedSearchIntegrator extendedIntegrator

  - ### Constructor Detail

    - #### BatchCoordinator

          public BatchCoordinator(IndexedTypeSet rootEntities,
                                  ExtendedSearchIntegrator extendedIntegrator,
                                  SessionFactoryImplementor sessionFactory,
                                  int typesToIndexInParallel,
                                  int documentBuilderThreads,
                                  CacheMode cacheMode,
                                  int objectLoadingBatchSize,
                                  long objectsLimit,
                                  boolean optimizeAtEnd,
                                  boolean purgeAtStart,
                                  boolean optimizeAfterPurge,
                                  MassIndexerProgressMonitor monitor,
                                  int idFetchSize,
                                  Integer transactionTimeout,
                                  String tenantId)

  - ### Method Detail

    - #### runWithErrorHandler

          public void runWithErrorHandler()

    - #### run

          public final void run()

      Specified by:
        `run` in interface `Runnable`

    - #### cleanUpOnError

          protected void cleanUpOnError()

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved